Skip to main content
POST
/
v3
/
llm-gateway
/
providers
curl --request POST \
  --url https://{host}/v3/llm-gateway/providers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider": "OpenAI",
  "credentials": [
    {
      "name": "Production Key",
      "credential_config": {
        "credential_type": "api_key",
        "api_key": "sk-..."
      }
    }
  ],
  "models": [
    {
      "name": "gpt-4"
    },
    {
      "name": "gpt-3.5-turbo"
    }
  ]
}
'
{
  "api": "v3",
  "data": {
    "id": 2,
    "uuid": "550e8400-e29b-41d4-a716-446655440003",
    "provider": "OpenAI",
    "credentials": [
      {
        "name": "Production Key",
        "uuid": "550e8400-e29b-41d4-a716-446655440004",
        "credential_type": "api_key"
      }
    ],
    "models": [
      {
        "name": "gpt-4",
        "uuid": "550e8400-e29b-41d4-a716-446655440008"
      },
      {
        "name": "gpt-3.5-turbo",
        "uuid": "550e8400-e29b-41d4-a716-446655440009"
      }
    ],
    "created_at": "2025-01-08T12:00:00Z",
    "updated_at": "2025-01-08T12:00:00Z",
    "created_by": {
      "id": "550e8400-e29b-41d4-a716-446655440002",
      "full_name": "Joe Schmoe",
      "email": "joe_schmoe@email.com"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for creating an LLM provider

provider
string
required

Name of the LLM provider

Example:

"OpenAI"

credentials
Credential Request · object[]
required

List of credentials for the provider

models
Model Compact Request · object[]
required

List of models supported by this provider

api_base
string | null

Custom API base URL. Required for providers with customer-specific endpoints (e.g., Databricks workspace URL). Must use HTTPS.

Maximum string length: 512
Example:

"https://adb-xxx.azuredatabricks.net/serving-endpoints"

Response

LLM provider created successfully

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object

Details of an LLM provider